Bug 3511 - Integration with Moodle
Summary: Integration with Moodle
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: rel_3_2
Hardware: PC All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-06 02:58 UTC by Chris Cormack
Modified: 2015-12-03 22:00 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:34 UTC


---- Reported by stacey@catalyst.net.nz 2009-08-06 02:58:59 ----

Development of Single Sign on authentication with Moodle



---- Additional Comments From nicolas.morin@biblibre.com 2009-08-06 08:01:04 ----

Hold on.
We (BibLibre) have been doing work on this already. It'll be pushed in the next couple of weeks. 
We use Authen::Cas and have added the necessary configuration preferences where you tell where the CAS serveur is, etc. And I see that Moodle can do sso with CAS here: http://docs.moodle.org/en/Use_a_CAS_server_%28SSO%29
The only limit to what we did so far is that we don't use the proxy-CAS capabilities of CAS: Koha has to be in communication with the browser to use CAS.

That being said, maybe you want to go further in this integration effort with moddle, but if it's just for sso, I think what we have will mostly do the trick.

We'll update here once we push the patch.



---- Additional Comments From mjr@ttllp.co.uk 2009-08-06 10:46:03 ----

Which CAS server are you using?

I'm aware of some other developers working on Koha-Moodle authentication and I will tell them of this bug.




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3511 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3511

Unknown Component Authentication
   Using default product and component set in Parameters 
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was stacey@catalyst.net.nz.
CC member mjr@ttllp.co.uk does not have an account here
CC member nicolas.morin@biblibre.com does not have an account here
CC member stacey@catalyst.net.nz does not have an account here

Comment 1 Katrin Fischer 2013-03-09 08:12:00 UTC
CAS integration has been pushed a while ago, but I am not sure what it can do, can someone else take a look at this please?

Also, does CAS solve Moodle integration or shoudl this bug be upgraded to master?
Comment 2 Martin Renvoize 2014-12-31 07:07:04 UTC
As suggested above, I believe on the authetncation front that we can interoperate nicely with Moodle now (With, both CAS and Shibboleth support).

If we want more in depth Moodle integration, then I believe that should be opened as it's own bug with a clear definition of what people are wanting/aiming to achieve.

Marking this bug RESOLVED INVALID